# rtsp stream transport

The GstRTSPStreamTransport configures the transport used by a GstRTSPStream. It is usually manages by a GstRTSPSessionMedia object.

With gst_rtsp_stream_transport_set_callbacks, callbacks can be configured to handle the RTP and RTCP packets from the stream, for example when they need to be sent over TCP.

With gst_rtsp_stream_transport_set_active the transports are added and removed from the stream.

A GstRTSPStream will call gst_rtsp_stream_transport_keep_alive when RTCP is received from the client. It will also call gst_rtsp_stream_transport_set_timed_out when a receiver has timed out.

A GstRTSPClient will call gst_rtsp_stream_transport_message_sent when it has sent a data message for the transport.

Last reviewed on 2013-07-16 (1.0.0)

## GstRTSPStreamTransport

    GObject
        ╰──GstRTSPStreamTransport

A Transport description for a stream

### Members

`parent` (GObject) –

parent instance

### Class structure

#### GstRTSPStreamTransportClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPStreamTransportClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPStreamTransportClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPStreamTransport

    GObject.Object
        ╰──GstRtspServer.RTSPStreamTransport

A Transport description for a stream

### Members

`parent` (GObject.Object) –

parent instance

## GstRtspServer.RTSPStreamTransport

    GObject.Object
        ╰──GstRtspServer.RTSPStreamTransport

A Transport description for a stream

### Members

`parent` (GObject.Object) –

parent instance

### Constructors

#### gst_rtsp_stream_transport_new

    GstRTSPStreamTransport *
    gst_rtsp_stream_transport_new (GstRTSPStream * stream,
                                   GstRTSPTransport * tr)

Create a new GstRTSPStreamTransport that can be used to manage stream with transport tr.

Parameters:

`stream` –

a GstRTSPStream

`tr` ( [transfer: full]) –

a GstRTSPTransport

Returns ( [transfer: full]) –

a new GstRTSPStreamTransport

#### GstRtspServer.RTSPStreamTransport.prototype.new

    function GstRtspServer.RTSPStreamTransport.prototype.new(stream: GstRtspServer.RTSPStream, tr: GstRtsp.RTSPTransport): {
        // javascript wrapper for 'gst_rtsp_stream_transport_new'
    }

Create a new GstRtspServer.RTSPStreamTransport that can be used to manage stream with transport tr.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`tr` (GstRtsp.RTSPTransport) –

a GstRTSPTransport

Returns (GstRtspServer.RTSPStreamTransport) –

a new GstRtspServer.RTSPStreamTransport

#### GstRtspServer.RTSPStreamTransport.new

    def GstRtspServer.RTSPStreamTransport.new (stream, tr):
        #python wrapper for 'gst_rtsp_stream_transport_new'

Create a new GstRtspServer.RTSPStreamTransport that can be used to manage stream with transport tr.

Parameters:

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`tr` (GstRtsp.RTSPTransport) –

a GstRTSPTransport

Returns (GstRtspServer.RTSPStreamTransport) –

a new GstRtspServer.RTSPStreamTransport

### Methods

#### gst_rtsp_stream_transport_get_rtpinfo

    gchar *
    gst_rtsp_stream_transport_get_rtpinfo (GstRTSPStreamTransport * trans,
                                           GstClockTime start_time)

Get the RTP-Info string for trans and start_time.

Parameters:

`trans` –

a GstRTSPStreamTransport

`start_time` –

a star time

Returns ( [transfer: full][nullable]) –

the RTPInfo string for trans and start_time or NULL when the RTP-Info could not be determined. g_free after usage.

#### GstRtspServer.RTSPStreamTransport.prototype.get_rtpinfo

    function GstRtspServer.RTSPStreamTransport.prototype.get_rtpinfo(start_time: Number): {
        // javascript wrapper for 'gst_rtsp_stream_transport_get_rtpinfo'
    }

Get the RTP-Info string for trans and start_time.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`start_time` (Number) –

a star time

Returns (String) –

the RTPInfo string for trans and start_time or null when the RTP-Info could not be determined. GLib.prototype.free after usage.

#### GstRtspServer.RTSPStreamTransport.get_rtpinfo

    def GstRtspServer.RTSPStreamTransport.get_rtpinfo (self, start_time):
        #python wrapper for 'gst_rtsp_stream_transport_get_rtpinfo'

Get the RTP-Info string for trans and start_time.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`start_time` (int) –

a star time

Returns (str) –

the RTPInfo string for trans and start_time or None when the RTP-Info could not be determined. GLib.free after usage.

#### gst_rtsp_stream_transport_get_stream

    GstRTSPStream *
    gst_rtsp_stream_transport_get_stream (GstRTSPStreamTransport * trans)

Get the GstRTSPStream used when constructing trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

Returns ( [transfer: none][nullable]) –

the stream used when constructing trans.

#### GstRtspServer.RTSPStreamTransport.prototype.get_stream

    function GstRtspServer.RTSPStreamTransport.prototype.get_stream(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_get_stream'
    }

Get the GstRtspServer.RTSPStream used when constructing trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtspServer.RTSPStream) –

the stream used when constructing trans.

#### GstRtspServer.RTSPStreamTransport.get_stream

    def GstRtspServer.RTSPStreamTransport.get_stream (self):
        #python wrapper for 'gst_rtsp_stream_transport_get_stream'

Get the GstRtspServer.RTSPStream used when constructing trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtspServer.RTSPStream) –

the stream used when constructing trans.

#### gst_rtsp_stream_transport_get_transport

    const GstRTSPTransport *
    gst_rtsp_stream_transport_get_transport (GstRTSPStreamTransport * trans)

Get the transport configured in trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

Returns ( [transfer: none][nullable]) –

the transport configured in trans. It remains valid for as long as trans is valid.

#### GstRtspServer.RTSPStreamTransport.prototype.get_transport

    function GstRtspServer.RTSPStreamTransport.prototype.get_transport(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_get_transport'
    }

Get the transport configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtsp.RTSPTransport) –

the transport configured in trans. It remains valid for as long as trans is valid.

#### GstRtspServer.RTSPStreamTransport.get_transport

    def GstRtspServer.RTSPStreamTransport.get_transport (self):
        #python wrapper for 'gst_rtsp_stream_transport_get_transport'

Get the transport configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtsp.RTSPTransport) –

the transport configured in trans. It remains valid for as long as trans is valid.

#### gst_rtsp_stream_transport_get_url

    const GstRTSPUrl *
    gst_rtsp_stream_transport_get_url (GstRTSPStreamTransport * trans)

Get the url configured in trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

Returns ( [transfer: none][nullable]) –

the url configured in trans. It remains valid for as long as trans is valid.

#### GstRtspServer.RTSPStreamTransport.prototype.get_url

    function GstRtspServer.RTSPStreamTransport.prototype.get_url(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_get_url'
    }

Get the url configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtsp.RTSPUrl) –

the url configured in trans. It remains valid for as long as trans is valid.

#### GstRtspServer.RTSPStreamTransport.get_url

    def GstRtspServer.RTSPStreamTransport.get_url (self):
        #python wrapper for 'gst_rtsp_stream_transport_get_url'

Get the url configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (GstRtsp.RTSPUrl) –

the url configured in trans. It remains valid for as long as trans is valid.

#### gst_rtsp_stream_transport_is_timed_out

    gboolean
    gst_rtsp_stream_transport_is_timed_out (GstRTSPStreamTransport * trans)

Check if trans is timed out.

Parameters:

`trans` –

a GstRTSPStreamTransport

Returns –

TRUE if trans timed out.

#### GstRtspServer.RTSPStreamTransport.prototype.is_timed_out

    function GstRtspServer.RTSPStreamTransport.prototype.is_timed_out(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_is_timed_out'
    }

Check if trans is timed out.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (Number) –

true if trans timed out.

#### GstRtspServer.RTSPStreamTransport.is_timed_out

    def GstRtspServer.RTSPStreamTransport.is_timed_out (self):
        #python wrapper for 'gst_rtsp_stream_transport_is_timed_out'

Check if trans is timed out.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Returns (bool) –

True if trans timed out.

#### gst_rtsp_stream_transport_keep_alive

    gst_rtsp_stream_transport_keep_alive (GstRTSPStreamTransport * trans)

Signal the installed keep_alive callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

#### GstRtspServer.RTSPStreamTransport.prototype.keep_alive

    function GstRtspServer.RTSPStreamTransport.prototype.keep_alive(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_keep_alive'
    }

Signal the installed keep_alive callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

#### GstRtspServer.RTSPStreamTransport.keep_alive

    def GstRtspServer.RTSPStreamTransport.keep_alive (self):
        #python wrapper for 'gst_rtsp_stream_transport_keep_alive'

Signal the installed keep_alive callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

#### gst_rtsp_stream_transport_message_sent

    gst_rtsp_stream_transport_message_sent (GstRTSPStreamTransport * trans)

Signal the installed message_sent / message_sent_full callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.prototype.message_sent

    function GstRtspServer.RTSPStreamTransport.prototype.message_sent(): {
        // javascript wrapper for 'gst_rtsp_stream_transport_message_sent'
    }

Signal the installed message_sent / message_sent_full callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.message_sent

    def GstRtspServer.RTSPStreamTransport.message_sent (self):
        #python wrapper for 'gst_rtsp_stream_transport_message_sent'

Signal the installed message_sent / message_sent_full callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

Since : 1.16

#### gst_rtsp_stream_transport_recv_data

    GstFlowReturn
    gst_rtsp_stream_transport_recv_data (GstRTSPStreamTransport * trans,
                                         guint channel,
                                         GstBuffer * buffer)

Receive buffer on channel trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`channel` –

a channel

`buffer` ( [transfer: full]) –

a GstBuffer

Returns –

a GstFlowReturn. Returns GST_FLOW_NOT_LINKED when channel is not configured in the transport of trans.

#### GstRtspServer.RTSPStreamTransport.prototype.recv_data

    function GstRtspServer.RTSPStreamTransport.prototype.recv_data(channel: Number, buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_stream_transport_recv_data'
    }

Receive buffer on channel trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`channel` (Number) –

a channel

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a Gst.FlowReturn. Returns GST_FLOW_NOT_LINKED when channel is not configured in the transport of trans.

#### GstRtspServer.RTSPStreamTransport.recv_data

    def GstRtspServer.RTSPStreamTransport.recv_data (self, channel, buffer):
        #python wrapper for 'gst_rtsp_stream_transport_recv_data'

Receive buffer on channel trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`channel` (int) –

a channel

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Gst.FlowReturn) –

a Gst.FlowReturn. Returns GST_FLOW_NOT_LINKED when channel is not configured in the transport of trans.

#### gst_rtsp_stream_transport_send_rtcp

    gboolean
    gst_rtsp_stream_transport_send_rtcp (GstRTSPStreamTransport * trans,
                                         GstBuffer * buffer)

Send buffer to the installed RTCP callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`buffer` ( [transfer: none]) –

a GstBuffer

Returns –

TRUE on success

#### GstRtspServer.RTSPStreamTransport.prototype.send_rtcp

    function GstRtspServer.RTSPStreamTransport.prototype.send_rtcp(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_stream_transport_send_rtcp'
    }

Send buffer to the installed RTCP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Number) –

true on success

#### GstRtspServer.RTSPStreamTransport.send_rtcp

    def GstRtspServer.RTSPStreamTransport.send_rtcp (self, buffer):
        #python wrapper for 'gst_rtsp_stream_transport_send_rtcp'

Send buffer to the installed RTCP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (bool) –

True on success

#### gst_rtsp_stream_transport_send_rtcp_list

    gboolean
    gst_rtsp_stream_transport_send_rtcp_list (GstRTSPStreamTransport * trans,
                                              GstBufferList * buffer_list)

Send buffer_list to the installed RTCP callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`buffer_list` ( [transfer: none]) –

a GstBuffer

Returns –

TRUE on success

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.prototype.send_rtcp_list

    function GstRtspServer.RTSPStreamTransport.prototype.send_rtcp_list(buffer_list: Gst.BufferList): {
        // javascript wrapper for 'gst_rtsp_stream_transport_send_rtcp_list'
    }

Send buffer_list to the installed RTCP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer_list` (Gst.BufferList) –

a Gst.Buffer

Returns (Number) –

true on success

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.send_rtcp_list

    def GstRtspServer.RTSPStreamTransport.send_rtcp_list (self, buffer_list):
        #python wrapper for 'gst_rtsp_stream_transport_send_rtcp_list'

Send buffer_list to the installed RTCP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer_list` (Gst.BufferList) –

a Gst.Buffer

Returns (bool) –

True on success

Since : 1.16

#### gst_rtsp_stream_transport_send_rtp

    gboolean
    gst_rtsp_stream_transport_send_rtp (GstRTSPStreamTransport * trans,
                                        GstBuffer * buffer)

Send buffer to the installed RTP callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`buffer` ( [transfer: none]) –

a GstBuffer

Returns –

TRUE on success

#### GstRtspServer.RTSPStreamTransport.prototype.send_rtp

    function GstRtspServer.RTSPStreamTransport.prototype.send_rtp(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_rtsp_stream_transport_send_rtp'
    }

Send buffer to the installed RTP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (Number) –

true on success

#### GstRtspServer.RTSPStreamTransport.send_rtp

    def GstRtspServer.RTSPStreamTransport.send_rtp (self, buffer):
        #python wrapper for 'gst_rtsp_stream_transport_send_rtp'

Send buffer to the installed RTP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (bool) –

True on success

#### gst_rtsp_stream_transport_send_rtp_list

    gboolean
    gst_rtsp_stream_transport_send_rtp_list (GstRTSPStreamTransport * trans,
                                             GstBufferList * buffer_list)

Send buffer_list to the installed RTP callback for trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`buffer_list` ( [transfer: none]) –

a GstBufferList

Returns –

TRUE on success

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.prototype.send_rtp_list

    function GstRtspServer.RTSPStreamTransport.prototype.send_rtp_list(buffer_list: Gst.BufferList): {
        // javascript wrapper for 'gst_rtsp_stream_transport_send_rtp_list'
    }

Send buffer_list to the installed RTP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer_list` (Gst.BufferList) –

a Gst.BufferList

Returns (Number) –

true on success

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.send_rtp_list

    def GstRtspServer.RTSPStreamTransport.send_rtp_list (self, buffer_list):
        #python wrapper for 'gst_rtsp_stream_transport_send_rtp_list'

Send buffer_list to the installed RTP callback for trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`buffer_list` (Gst.BufferList) –

a Gst.BufferList

Returns (bool) –

True on success

Since : 1.16

#### gst_rtsp_stream_transport_set_active

    gboolean
    gst_rtsp_stream_transport_set_active (GstRTSPStreamTransport * trans,
                                          gboolean active)

Activate or deactivate datatransfer configured in trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`active` –

new state of trans

Returns –

TRUE when the state was changed.

#### GstRtspServer.RTSPStreamTransport.prototype.set_active

    function GstRtspServer.RTSPStreamTransport.prototype.set_active(active: Number): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_active'
    }

Activate or deactivate datatransfer configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`active` (Number) –

new state of trans

Returns (Number) –

true when the state was changed.

#### GstRtspServer.RTSPStreamTransport.set_active

    def GstRtspServer.RTSPStreamTransport.set_active (self, active):
        #python wrapper for 'gst_rtsp_stream_transport_set_active'

Activate or deactivate datatransfer configured in trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`active` (bool) –

new state of trans

Returns (bool) –

True when the state was changed.

#### gst_rtsp_stream_transport_set_callbacks

    gst_rtsp_stream_transport_set_callbacks (GstRTSPStreamTransport * trans,
                                             GstRTSPSendFunc send_rtp,
                                             GstRTSPSendFunc send_rtcp,
                                             gpointer user_data,
                                             GDestroyNotify notify)

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` –

a GstRTSPStreamTransport

`send_rtp` ( [scope notified][closure]) –

a callback called when RTP should be sent

`send_rtcp` ( [scope notified][closure]) –

a callback called when RTCP should be sent

`user_data` –

user data passed to callbacks

`notify` ( [allow-none]) –

called with the user_data when no longer needed.

#### GstRtspServer.RTSPStreamTransport.prototype.set_callbacks

    function GstRtspServer.RTSPStreamTransport.prototype.set_callbacks(send_rtp: GstRtspServer.RTSPSendFunc, send_rtcp: GstRtspServer.RTSPSendFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_callbacks'
    }

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`send_rtp` (GstRtspServer.RTSPSendFunc) –

a callback called when RTP should be sent

`send_rtcp` (GstRtspServer.RTSPSendFunc) –

a callback called when RTCP should be sent

`user_data` (Object) –

user data passed to callbacks

#### GstRtspServer.RTSPStreamTransport.set_callbacks

    def GstRtspServer.RTSPStreamTransport.set_callbacks (self, send_rtp, send_rtcp, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_set_callbacks'

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`send_rtp` (GstRtspServer.RTSPSendFunc) –

a callback called when RTP should be sent

`send_rtcp` (GstRtspServer.RTSPSendFunc) –

a callback called when RTCP should be sent

`user_data` (variadic) –

user data passed to callbacks

#### gst_rtsp_stream_transport_set_keepalive

    gst_rtsp_stream_transport_set_keepalive (GstRTSPStreamTransport * trans,
                                             GstRTSPKeepAliveFunc keep_alive,
                                             gpointer user_data,
                                             GDestroyNotify notify)

Install callbacks that will be called when RTCP packets are received from the receiver of trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`keep_alive` ( [scope notified][closure]) –

a callback called when the receiver is active

`user_data` –

user data passed to callback

`notify` ( [allow-none]) –

called with the user_data when no longer needed.

#### GstRtspServer.RTSPStreamTransport.prototype.set_keepalive

    function GstRtspServer.RTSPStreamTransport.prototype.set_keepalive(keep_alive: GstRtspServer.RTSPKeepAliveFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_keepalive'
    }

Install callbacks that will be called when RTCP packets are received from the receiver of trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`keep_alive` (GstRtspServer.RTSPKeepAliveFunc) –

a callback called when the receiver is active

`user_data` (Object) –

user data passed to callback

#### GstRtspServer.RTSPStreamTransport.set_keepalive

    def GstRtspServer.RTSPStreamTransport.set_keepalive (self, keep_alive, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_set_keepalive'

Install callbacks that will be called when RTCP packets are received from the receiver of trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`keep_alive` (GstRtspServer.RTSPKeepAliveFunc) –

a callback called when the receiver is active

`user_data` (variadic) –

user data passed to callback

#### gst_rtsp_stream_transport_set_list_callbacks

    gst_rtsp_stream_transport_set_list_callbacks (GstRTSPStreamTransport * trans,
                                                  GstRTSPSendListFunc send_rtp_list,
                                                  GstRTSPSendListFunc send_rtcp_list,
                                                  gpointer user_data,
                                                  GDestroyNotify notify)

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` –

a GstRTSPStreamTransport

`send_rtp_list` ( [scope notified][closure]) –

a callback called when RTP should be sent

`send_rtcp_list` ( [scope notified][closure]) –

a callback called when RTCP should be sent

`user_data` –

user data passed to callbacks

`notify` ( [allow-none]) –

called with the user_data when no longer needed.

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.prototype.set_list_callbacks

    function GstRtspServer.RTSPStreamTransport.prototype.set_list_callbacks(send_rtp_list: GstRtspServer.RTSPSendListFunc, send_rtcp_list: GstRtspServer.RTSPSendListFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_list_callbacks'
    }

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`send_rtp_list` (GstRtspServer.RTSPSendListFunc) –

a callback called when RTP should be sent

`send_rtcp_list` (GstRtspServer.RTSPSendListFunc) –

a callback called when RTCP should be sent

`user_data` (Object) –

user data passed to callbacks

Since : 1.16

#### GstRtspServer.RTSPStreamTransport.set_list_callbacks

    def GstRtspServer.RTSPStreamTransport.set_list_callbacks (self, send_rtp_list, send_rtcp_list, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_set_list_callbacks'

Install callbacks that will be called when data for a stream should be sent to a client. This is usually used when sending RTP/RTCP over TCP.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`send_rtp_list` (GstRtspServer.RTSPSendListFunc) –

a callback called when RTP should be sent

`send_rtcp_list` (GstRtspServer.RTSPSendListFunc) –

a callback called when RTCP should be sent

`user_data` (variadic) –

user data passed to callbacks

Since : 1.16

#### gst_rtsp_stream_transport_set_message_sent

    gst_rtsp_stream_transport_set_message_sent (GstRTSPStreamTransport * trans,
                                                GstRTSPMessageSentFunc message_sent,
                                                gpointer user_data,
                                                GDestroyNotify notify)

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`message_sent` ( [scope notified][closure]) –

a callback called when a message has been sent

`user_data` –

user data passed to callback

`notify` ( [allow-none]) –

called with the user_data when no longer needed

#### GstRtspServer.RTSPStreamTransport.prototype.set_message_sent

    function GstRtspServer.RTSPStreamTransport.prototype.set_message_sent(message_sent: GstRtspServer.RTSPMessageSentFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_message_sent'
    }

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`message_sent` (GstRtspServer.RTSPMessageSentFunc) –

a callback called when a message has been sent

`user_data` (Object) –

user data passed to callback

#### GstRtspServer.RTSPStreamTransport.set_message_sent

    def GstRtspServer.RTSPStreamTransport.set_message_sent (self, message_sent, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_set_message_sent'

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`message_sent` (GstRtspServer.RTSPMessageSentFunc) –

a callback called when a message has been sent

`user_data` (variadic) –

user data passed to callback

#### gst_rtsp_stream_transport_set_message_sent_full

    gst_rtsp_stream_transport_set_message_sent_full (GstRTSPStreamTransport * trans,
                                                     GstRTSPMessageSentFuncFull message_sent,
                                                     gpointer user_data,
                                                     GDestroyNotify notify)

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` –

a GstRTSPStreamTransport

`message_sent` ( [scope notified][closure]) –

a callback called when a message has been sent

`user_data` –

user data passed to callback

`notify` ( [allow-none]) –

called with the user_data when no longer needed

Since : 1.18

#### GstRtspServer.RTSPStreamTransport.prototype.set_message_sent_full

    function GstRtspServer.RTSPStreamTransport.prototype.set_message_sent_full(message_sent: GstRtspServer.RTSPMessageSentFuncFull, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_message_sent_full'
    }

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`message_sent` (GstRtspServer.RTSPMessageSentFuncFull) –

a callback called when a message has been sent

`user_data` (Object) –

user data passed to callback

Since : 1.18

#### GstRtspServer.RTSPStreamTransport.set_message_sent_full

    def GstRtspServer.RTSPStreamTransport.set_message_sent_full (self, message_sent, *user_data):
        #python wrapper for 'gst_rtsp_stream_transport_set_message_sent_full'

Install a callback that will be called when a message has been sent on trans.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`message_sent` (GstRtspServer.RTSPMessageSentFuncFull) –

a callback called when a message has been sent

`user_data` (variadic) –

user data passed to callback

Since : 1.18

#### gst_rtsp_stream_transport_set_timed_out

    gst_rtsp_stream_transport_set_timed_out (GstRTSPStreamTransport * trans,
                                             gboolean timedout)

Set the timed out state of trans to timedout

Parameters:

`trans` –

a GstRTSPStreamTransport

`timedout` –

timed out value

#### GstRtspServer.RTSPStreamTransport.prototype.set_timed_out

    function GstRtspServer.RTSPStreamTransport.prototype.set_timed_out(timedout: Number): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_timed_out'
    }

Set the timed out state of trans to timedout

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`timedout` (Number) –

timed out value

#### GstRtspServer.RTSPStreamTransport.set_timed_out

    def GstRtspServer.RTSPStreamTransport.set_timed_out (self, timedout):
        #python wrapper for 'gst_rtsp_stream_transport_set_timed_out'

Set the timed out state of trans to timedout

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`timedout` (bool) –

timed out value

#### gst_rtsp_stream_transport_set_transport

    gst_rtsp_stream_transport_set_transport (GstRTSPStreamTransport * trans,
                                             GstRTSPTransport * tr)

Set tr as the client transport. This function takes ownership of the passed tr.

Parameters:

`trans` –

a GstRTSPStreamTransport

`tr` ( [transfer: full]) –

a client GstRTSPTransport

#### GstRtspServer.RTSPStreamTransport.prototype.set_transport

    function GstRtspServer.RTSPStreamTransport.prototype.set_transport(tr: GstRtsp.RTSPTransport): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_transport'
    }

Set tr as the client transport. This function takes ownership of the passed tr.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`tr` (GstRtsp.RTSPTransport) –

a client GstRtsp.RTSPTransport

#### GstRtspServer.RTSPStreamTransport.set_transport

    def GstRtspServer.RTSPStreamTransport.set_transport (self, tr):
        #python wrapper for 'gst_rtsp_stream_transport_set_transport'

Set tr as the client transport. This function takes ownership of the passed tr.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`tr` (GstRtsp.RTSPTransport) –

a client GstRtsp.RTSPTransport

#### gst_rtsp_stream_transport_set_url

    gst_rtsp_stream_transport_set_url (GstRTSPStreamTransport * trans,
                                       const GstRTSPUrl * url)

Set url as the client url.

Parameters:

`trans` –

a GstRTSPStreamTransport

`url` ( [transfer: none][nullable]) –

a client GstRTSPUrl

#### GstRtspServer.RTSPStreamTransport.prototype.set_url

    function GstRtspServer.RTSPStreamTransport.prototype.set_url(url: GstRtsp.RTSPUrl): {
        // javascript wrapper for 'gst_rtsp_stream_transport_set_url'
    }

Set url as the client url.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`url` (GstRtsp.RTSPUrl) –

a client GstRtsp.RTSPUrl

#### GstRtspServer.RTSPStreamTransport.set_url

    def GstRtspServer.RTSPStreamTransport.set_url (self, url):
        #python wrapper for 'gst_rtsp_stream_transport_set_url'

Set url as the client url.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport

`url` (GstRtsp.RTSPUrl) –

a client GstRtsp.RTSPUrl

## Function Macros

### GST_RTSP_STREAM_TRANSPORT_CAST

    #define GST_RTSP_STREAM_TRANSPORT_CAST(obj)         ((GstRTSPStreamTransport*)(obj))

### GST_RTSP_STREAM_TRANSPORT_CLASS_CAST

    #define GST_RTSP_STREAM_TRANSPORT_CLASS_CAST(klass) ((GstRTSPStreamTransportClass*)(klass))

## Callbacks

### GstRTSPKeepAliveFunc

    (*GstRTSPKeepAliveFunc) (gpointer user_data)

Function registered with gst_rtsp_stream_transport_set_keepalive and called when the stream is active.

Parameters:

`user_data` –

user data

### GstRtspServer.RTSPKeepAliveFunc

    function GstRtspServer.RTSPKeepAliveFunc(user_data: Object): {
        // javascript wrapper for 'GstRTSPKeepAliveFunc'
    }

Function registered with GstRtspServer.RTSPStreamTransport.prototype.set_keepalive and called when the stream is active.

Parameters:

`user_data` (Object) –

user data

### GstRtspServer.RTSPKeepAliveFunc

    def GstRtspServer.RTSPKeepAliveFunc (*user_data):
        #python wrapper for 'GstRTSPKeepAliveFunc'

Function registered with GstRtspServer.RTSPStreamTransport.set_keepalive and called when the stream is active.

Parameters:

`user_data` (variadic) –

user data

### GstRTSPMessageSentFunc

    (*GstRTSPMessageSentFunc) (gpointer user_data)

Function registered with gst_rtsp_stream_transport_set_message_sent and called when a message has been sent on the transport.

Parameters:

`user_data` –

user data

### GstRtspServer.RTSPMessageSentFunc

    function GstRtspServer.RTSPMessageSentFunc(user_data: Object): {
        // javascript wrapper for 'GstRTSPMessageSentFunc'
    }

Function registered with GstRtspServer.RTSPStreamTransport.prototype.set_message_sent and called when a message has been sent on the transport.

Parameters:

`user_data` (Object) –

user data

### GstRtspServer.RTSPMessageSentFunc

    def GstRtspServer.RTSPMessageSentFunc (*user_data):
        #python wrapper for 'GstRTSPMessageSentFunc'

Function registered with GstRtspServer.RTSPStreamTransport.set_message_sent and called when a message has been sent on the transport.

Parameters:

`user_data` (variadic) –

user data

### GstRTSPMessageSentFuncFull

    (*GstRTSPMessageSentFuncFull) (GstRTSPStreamTransport * trans,
                                   gpointer user_data)

Function registered with gst_rtsp_stream_transport_set_message_sent_full and called when a message has been sent on the transport.

Parameters:

`trans` –
No description available
`user_data` –

user data

Since : 1.18

### GstRtspServer.RTSPMessageSentFuncFull

    function GstRtspServer.RTSPMessageSentFuncFull(trans: GstRtspServer.RTSPStreamTransport, user_data: Object): {
        // javascript wrapper for 'GstRTSPMessageSentFuncFull'
    }

Function registered with GstRtspServer.RTSPStreamTransport.prototype.set_message_sent_full and called when a message has been sent on the transport.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –
No description available
`user_data` (Object) –

user data

Since : 1.18

### GstRtspServer.RTSPMessageSentFuncFull

    def GstRtspServer.RTSPMessageSentFuncFull (trans, *user_data):
        #python wrapper for 'GstRTSPMessageSentFuncFull'

Function registered with GstRtspServer.RTSPStreamTransport.set_message_sent_full and called when a message has been sent on the transport.

Parameters:

`trans` (GstRtspServer.RTSPStreamTransport) –
No description available
`user_data` (variadic) –

user data

Since : 1.18

### GstRTSPSendFunc

    gboolean
    (*GstRTSPSendFunc) (GstBuffer * buffer,
                        guint8 channel,
                        gpointer user_data)

Function registered with gst_rtsp_stream_transport_set_callbacks and called when buffer must be sent on channel.

Parameters:

`buffer` –

a GstBuffer

`channel` –

a channel

`user_data` –

user data

Returns –

TRUE on success

### GstRtspServer.RTSPSendFunc

    function GstRtspServer.RTSPSendFunc(buffer: Gst.Buffer, channel: Number, user_data: Object): {
        // javascript wrapper for 'GstRTSPSendFunc'
    }

Function registered with GstRtspServer.RTSPStreamTransport.prototype.set_callbacks and called when buffer must be sent on channel.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`channel` (Number) –

a channel

`user_data` (Object) –

user data

Returns (Number) –

true on success

### GstRtspServer.RTSPSendFunc

    def GstRtspServer.RTSPSendFunc (buffer, channel, *user_data):
        #python wrapper for 'GstRTSPSendFunc'

Function registered with GstRtspServer.RTSPStreamTransport.set_callbacks and called when buffer must be sent on channel.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`channel` (int) –

a channel

`user_data` (variadic) –

user data

Returns (bool) –

True on success

### GstRTSPSendListFunc

    gboolean
    (*GstRTSPSendListFunc) (GstBufferList * buffer_list,
                            guint8 channel,
                            gpointer user_data)

Function registered with gst_rtsp_stream_transport_set_callbacks and called when buffer_list must be sent on channel.

Parameters:

`buffer_list` –

a GstBufferList

`channel` –

a channel

`user_data` –

user data

Returns –

TRUE on success

Since : 1.16

### GstRtspServer.RTSPSendListFunc

    function GstRtspServer.RTSPSendListFunc(buffer_list: Gst.BufferList, channel: Number, user_data: Object): {
        // javascript wrapper for 'GstRTSPSendListFunc'
    }

Function registered with GstRtspServer.RTSPStreamTransport.prototype.set_callbacks and called when buffer_list must be sent on channel.

Parameters:

`buffer_list` (Gst.BufferList) –

a Gst.BufferList

`channel` (Number) –

a channel

`user_data` (Object) –

user data

Returns (Number) –

true on success

Since : 1.16

### GstRtspServer.RTSPSendListFunc

    def GstRtspServer.RTSPSendListFunc (buffer_list, channel, *user_data):
        #python wrapper for 'GstRTSPSendListFunc'

Function registered with GstRtspServer.RTSPStreamTransport.set_callbacks and called when buffer_list must be sent on channel.

Parameters:

`buffer_list` (Gst.BufferList) –

a Gst.BufferList

`channel` (int) –

a channel

`user_data` (variadic) –

user data

Returns (bool) –

True on success

Since : 1.16

The results of the search are